package model.fixture;

import java.io.Serializable;

import model.generic.PropertyItem;

public class DmxValues extends PropertyItem implements Serializable{
    protected byte intensityMain = 0;
	protected byte stropeRate = 0;
	protected byte intensityRed = 0;
	protected byte intensityGreen = 0;
	protected byte intensityBlue = 0;
	
	public DmxValues() {}
	
	public DmxValues(byte intensityMain, byte stropeRate, byte intensityRed, byte intensityGreen, byte intensityBlue) {
		super();
		this.intensityMain = intensityMain;
		this.stropeRate = stropeRate;
		this.intensityRed = intensityRed;
		this.intensityGreen = intensityGreen;
		this.intensityBlue = intensityBlue;
	}

	public byte getIntensityMain() {
		return intensityMain;
	}
	
	public byte getStropeRate() {
		return stropeRate;
	}
	
	public byte getIntensityRed() {
		return intensityRed;
	}
	
	public byte getIntensityGreen() {
		return intensityGreen;
	}
	
	public byte getIntensityBlue() {
		return intensityBlue;
	}
	
	public void setIntensityMain(byte intensityMain) {
		this.propertySupport.firePropertyChange("intensityMain", Byte.toUnsignedInt(this.intensityMain), Byte.toUnsignedInt(intensityMain));
		this.intensityMain = intensityMain;
	}
	
	public void setStropeRate(byte stropeRate) {
		this.propertySupport.firePropertyChange("stropeRate", Byte.toUnsignedInt(this.stropeRate), Byte.toUnsignedInt(stropeRate));
		this.stropeRate = stropeRate;
	}
	
	public void setIntensityRed(byte intensityRed) {
		this.propertySupport.firePropertyChange("intensityRed", Byte.toUnsignedInt(this.intensityRed), Byte.toUnsignedInt(intensityRed));
		this.intensityRed = intensityRed;
	}
	
	public void setIntensityGreen(byte intensityGreen) {
		this.propertySupport.firePropertyChange("intensityGreen", Byte.toUnsignedInt(this.intensityGreen), Byte.toUnsignedInt(intensityGreen));
		this.intensityGreen = intensityGreen;
	}

	public void setIntensityBlue(byte intensityBlue) {
		this.propertySupport.firePropertyChange("intensityBlue", Byte.toUnsignedInt(this.intensityBlue), Byte.toUnsignedInt(intensityBlue));
		this.intensityBlue = intensityBlue;
	}
}
