package view.elements;

import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

public class ImageButton extends Button{
	
	Image icon;
	ImageView imageView;
	
	public ImageButton(String imagePath) {
		super();
		
		this.icon = new Image(imagePath);
		this.imageView = new ImageView();
		this.imageView.setImage(this.icon);
		this.imageView.setFitHeight(25.0);
		this.imageView.setFitWidth(25.0);
		this.imageView.setPickOnBounds(true);
		this.imageView.setPreserveRatio(true);
		
		this.setMnemonicParsing(false);
		this.setStyle("-fx-background-color: none");
		this.setGraphic(imageView);
	}	
}
