package viewModel.lightController;

import model.lightController.artNet.ArtNetController;

public class ArtNetControlleVM {
	private ArtNetNodeRepositoryVM artNetNodeRepositoryVM;
	private ArtNetController artNetController;
	
	public ArtNetControlleVM(ArtNetController artNetController) {
		this.artNetController = artNetController;
		this.artNetNodeRepositoryVM = new ArtNetNodeRepositoryVM(this.artNetController.getNodeRepository());
	}
	
	public void connectToNodes() {
		this.artNetController.connectToNodes();
	}
	
	public void disconnectFromNodes() {
		this.artNetController.disconnectNodes();
	}
	
	public ArtNetNodeRepositoryVM getArtNetNodeRepositoryVM() {
		return this.artNetNodeRepositoryVM;
	}
}
	
