#ifndef DmxController_h
#define DmxController_h
#include <DmxSimple.h>
#include "set.h"
#include "../config/config.h"

class DmxController
{
    private:
        unsigned char dmxOut[MAX_DMX_CHANNEL];
        Set activChannel;

    
    public:
        DmxController();
        void setChannelValue(int channel, unsigned char value);
        void setChannelValue(bool isActive, int channel, unsigned char value);
        void setChannelStatus(bool isActive, int channel);
        Set getActiveChannel();
};
#endif