﻿ $ip = "192.168.0.101"
 $broadcast = "192.168.0.255"

function sendArtPoll
{

    $client = new-object net.sockets.udpclient(0)

    $send = [text.encoding]::ascii.getbytes("Art-Net")
    $send += 0x00 #Byte 8 der Id
    $send += 0x00 #OpCode
    $send += 0x20 #OpCode
    $send += 0x00 #Protokoll Version
    $send += 0x10 #Protokoll Version
    $send += 0x00 #Flag
    $send += 0x00 #DiafPrioty
    $send += 0x00 #Targeet Port
    $send += 0x00 #Targeet Port
    $send += 0x00 #Targeet Port
    $send += 0x00 #Targeet Port
    $send += 0x00 #EstMan
    $send += 0x00 #EstMan
    $send += 0x00 #Oem
    $send += 0x00 #Oem

    [void] $client.send($send, $send.length, $broadcast, "6454")
    $client.close()
}


function sendArtCommand
{
    param
    (
        [String]$message
    )

    $client = new-object net.sockets.udpclient(0)

    $send = [text.encoding]::ascii.getbytes("Art-Net")
    $send += 0x00 #Byte 8 der Id
    $send += 0x00 #OpCode
    $send += 0x24 #OpCode
    $send += 0x00 #Protokoll Version
    $send += 0x10 #Protokoll Version
    $send += 0x00 #EstMan
    $send += 0x00 #EstMan
    $send += 0x00 #Länge 
    $send += [byte]$message.Length #Länge
    $send += [text.encoding]::ascii.getbytes($message)


    [void] $client.send($send, $send.length, $ip, "6454")
    $client.close()
}

function sendArtRequestData
{
    param
    (
        [byte]$requestCodeHigh,
        [byte]$requestCodeLow
    )

    $client = new-object net.sockets.udpclient(0)

    $send = [text.encoding]::ascii.getbytes("Art-Net")
    $send += 0x00 #Byte 8 der Id
    $send += 0x00 #OpCode
    $send += 0x27 #OpCode
    $send += 0x00 #Protokoll Version
    $send += 0x10 #Protokoll Version
    $send += 0x00 #EstMan
    $send += 0x00 #EstMan
    $send += 0x00 #Oem
    $send += 0x00 #Oem
    $send += $requestCodeHigh #Reqestcode Hi
    $send += $requestCodeLow #Reqestcode Low
    
    for($i = 0; $i -le 22; $i++)
    {
        $send += 0x00
    }


    [void] $client.send($send, $send.length, $ip, "6454")
    $client.close()
}

function sendArtDmx
{
    $client = new-object net.sockets.udpclient(0)

    $send = [text.encoding]::ascii.getbytes("Art-Net")
    $send += 0x00 #Byte 8 der Id
    $send += 0x00 #OpCode
    $send += 0x50 #OpCode
    $send += 0x00 #Protokoll Version
    $send += 0x10 #Protokoll Version
    $send += 0x00 #Sequenz
    $send += 0x00 #Physikalischer Input
    $send += 0x00 #SubUni
    $send += 0x00 #Net
    $send += 0x00 #Length Hi
    $send += 0x0A #Length Lo
    
    $send += 0xFF #Dmx Channel 1
    $send += 0xFF #Dmx Channel 2
    $send += 0xFF #Dmx Channel 3
    $send += 0xFF #Dmx Channel 4
    $send += 0x00 #Dmx Channel 5
    $send += 0xFF #Dmx Channel 6
    $send += 0xFF #Dmx Channel 7
    $send += 0xFF #Dmx Channel 8
    $send += 0xFF #Dmx Channel 9
    $send += 0x00 #Dmx Channel 10


    [void] $client.send($send, $send.length, $ip, "6454")
    $client.close()
}



sendArtRequestData -requestCodeHigh 0x80 -requestCodeLow 0x00

for($i = 0; $i -le 100; $i++)
{
    sendArtDmx
}



# Preset 0 blau
sendArtCommand -message "clearPreset={`"presetId`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":1,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":2,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":3,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":4,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":5,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":6,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":7,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":8,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":9,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":10,`"value`":0}"

# Prest 0 weiß
sendArtCommand -message "clearPreset={`"presetId`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":1,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":2,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":3,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":4,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":5,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":6,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":7,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":8,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":9,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":0,`"groupId`":1,`"channel`":10,`"value`":0}"

# Prest 5 weiß
sendArtCommand -message "clearPreset={`"presetId`":5}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":1,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":2,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":3,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":4,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":5,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":6,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":7,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":8,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":9,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":10,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":11,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":12,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":13,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":14,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":15,`"value`":0}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":16,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":17,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":18,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":19,`"value`":255}"
sendArtCommand -message "setPreset={`"presetId`":5,`"groupId`":4,`"channel`":20,`"value`":0}"


sendArtPoll
sendArtCommand -message "activatePreset={`"presetId`":0}"
sendArtDmx
